Bug 490936 - ecj (as run by the wrapper in F10) doesn't pick up source files from the current directory
Summary: ecj (as run by the wrapper in F10) doesn't pick up source files from the curr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ecj
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-18 16:07 UTC by Andrew John Hughes
Modified: 2009-12-22 19:56 UTC (History)
2 users (show)

Fixed In Version: 3.4.2-7.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 19:56:10 UTC


Attachments (Terms of Use)

Description Andrew John Hughes 2009-03-18 16:07:59 UTC
Description of problem:

Two files in the same directory, Test.java and TestImpl.java.
The latter is a subclass of the former.

$ ecj TestImpl.java
----------
1. ERROR in TestImpl.java (at line 1)
	public class TestImpl extends Test
	                              ^^^^
Test cannot be resolved to a type

whereas javac from OpenJDK will quite happily just compile away.

Version-Release number of selected component (if applicable):

3.4.1-5.fc10.x86_64

How reproducible:

Two Java source files as described above, and specify only the subclass file to ecj.

Steps to Reproduce:
1. Write Test.java
2. Write TestImpl.java which extends the class in Test.java
3. Compile TestImpl.java only with ecj
  
Actual results:
Fails with error.

Expected results:
Compiles both source files.

Additional info:

Comment 1 Andrew Overholt 2009-03-18 17:51:33 UTC
Did the wrapper change in the move from eclipse-ecj to ecj?  Did it used to work?

Comment 2 Andrew John Hughes 2009-03-18 18:27:20 UTC
This is with both the F10 eclipse-ecj package and the new ecj rawhide package.  I haven't used anything prior to this on Fedora, so couldn't say whether they also exhibit this bug.  The ecj in Debian (3.3.1) works as javac does, as does 3.4 on Gentoo.

Comment 3 Andrew Overholt 2009-03-18 18:33:51 UTC
(In reply to comment #2)
> This is with both the F10 eclipse-ecj package and the new ecj rawhide package. 
> I haven't used anything prior to this on Fedora, so couldn't say whether they
> also exhibit this bug.  The ecj in Debian (3.3.1) works as javac does, as does
> 3.4 on Gentoo.  

Okay, cool, so it's just a matter of seeing what their wrapper scripts do that ours don't.  I'm really surprised this hasn't come up before.

Comment 4 Andrew Overholt 2009-04-15 20:50:00 UTC
Deepak, any news here?

Comment 5 Deepak Bhole 2009-04-16 13:51:31 UTC
It's on my plate. Just haven't been able to get to it due to other high priority issues. I'll look into it before the coming weekend.

Comment 6 Bug Zapper 2009-11-18 11:33:10 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-12-18 09:03:14 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Andrew Overholt 2009-12-21 15:23:50 UTC
Reopening.

Comment 9 Fedora Update System 2009-12-21 21:45:57 UTC
ecj-3.4.2-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ecj-3.4.2-7.fc12

Comment 10 Fedora Update System 2009-12-21 21:46:11 UTC
ecj-3.4.2-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ecj-3.4.2-5.fc11

Comment 11 Deepak Bhole 2009-12-21 21:47:27 UTC
Fixed in F11, F12 (updates submitted for stable) and rawhide.

Comment 12 Fedora Update System 2009-12-22 19:56:05 UTC
ecj-3.4.2-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-12-22 19:56:46 UTC
ecj-3.4.2-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.